Subject: bug#57116: cling: missing some system header files

From: Maxime Devos <[email-masked]>
Date: Sat, 3 Sep 2022 20:12:47 +0200

On 03-09-2022 11:43, zimoun wrote:
> Hi,
>
> On Sat, 03 Sep 2022 at 00:25, Maxim Cournoyer <[email-masked]> wrote:
>
>> Should we close it as 'notabug', or persist with the attempt to wrap the
>> cling binary with the include paths required to ease its setup?
>  From my understanding about what cling is, we have a similar issue with
> some others packages.  Bigloo does not work out of the box [1]:
>
> --8<---------------cut here---------------start------------->8---
> $ guix shell -C bigloo libunistring gcc-toolchain libgc pcre \
>       -- bigloo /tmp/myfile.scm
> --8<---------------cut here---------------end--------------->8---
>
> Idem for ghc (Haskell) which requires gcc-toolchain.  And I proposed [2]
> to have <X>-toolchain for a ready-to-use X compiling toolsuite where
> could be cling, ghc, bigloo, etc.
>
> For instance, Debian has haskell-platform which includes all a regular
> user needs for a regular Haskell development setup.  And we already
> provide gcc-toolchain or clang-toolchain, or even gfortan-toolcahin,
> gdc-toolchain, piet-toolchain, etc.  Therefore, we could also have
> the package cling-toolchain propagating all the required packages that
> we currently have to manually specify i.e. gcc-toolchain.
>
> WDYT?
>
>
> 1: https://yhetil.org/guix/[email-masked]
> 2: https://yhetil.org/guix/[email-masked]

I do not see any problems with a X-toolchain (with X=cling,ghc,bigloo, 
...) and they appear to be convenient.

I'd say, go for it.

Greetings,
Maxime.